Class | RSS::Maker::RSS20::Channel::Categories::Category
In: | rss/maker/2.0.rb
Parent: | RSS09::Channel::Categories::Category

### Methods

have_required_values? to_rss

### Public Instance methods

have_required_values?()

[Source]

    # File rss/maker/2.0.rb, line 67
                def have_required_values?
                  @content
                end

to_rss(rss, channel)

[Source]

    # File rss/maker/2.0.rb, line 58
                def to_rss(rss, channel)
                  category = Rss::Channel::Category.new
                  set = setup_values(category)
                  if set
                    channel.categories << category
                    setup_other_elements(rss)
                  end
                end

[Validate]